////// $URL: http://svn.uv-software.com/opensource/linux/CANopen/COPbrowser/trunc/InitInterfaceDialog.h $
//
//	project   :  COPbrowser - CANopen Object Browser
//	
//	purpose   :  InitInterfaceDialog - Dialog
//	
//	copyright :  (C) 2009, UV Software, Friedrichshafen
//
//	compiler  :  GCC - GNU C++ Compiler (Linux Kernel 2.6)
//
//	export    :  class CInitInterfaceDialog
//	
//	includes  :  <includes>
//	
//	author    :  Uwe Vogt, UV Software
//	
//	e-mail    :  uwe.vogt@uv-software.de
//
//////////////////////////////////////////////////////////////////////////////
//	<description>

#ifndef _InitInterfaceDialog_h_
#define _InitInterfaceDialog_h_

//////////////////////////////////////////////////////////////////////////////
//	include-files

#include <qdialog.h>

//////////////////////////////////////////////////////////////////////////////
//	forwarder

class QComboBox;
class QSpinBox;
class QPushButton;
class QString;

//////////////////////////////////////////////////////////////////////////////
//	class CInitInterfaceDialog

class CInitInterfaceDialog : public QDialog
{
	Q_OBJECT

	//	attributes:
	private:
		QComboBox* m_interfaceComboBox;
		QComboBox* m_baudrateComboBox;
		QSpinBox*  m_masterIdSpinBox;
		QPushButton* m_okPushButton;
		QPushButton* m_cancelPushButton;
	
	//	constructor/destructor:
	public:
		CInitInterfaceDialog( QWidget* parent = 0, const char* name = 0 );
		~CInitInterfaceDialog();
		
	//	member functions:
	public:
		const char* getInterface();
		int getBaudrate();
		//int getMasterId();

	private:
		void loadSettings();
	public:
		void saveSettings();

	private slots:
		void acceptInitialize();

	//	revision control:
	public:
		static const char* version();
};

#endif // _InitInterfaceDialog_h_

//////////////////////////////////////////////////////////////////////////////
//	Uwe Vogt,  UV Software,  Steinaecker 28,  88048 Friedrichshafen,  Germany
//	Fon: +49-7541-6041530, Fax. +49-1803-551809359, Cell fon: +49-170-3801903
//	E-Mail: uwe.vogt@uv-software.de, Internet URL: http://www.uv-software.de/
