////// $URL: http://svn.uv-software.com/opensource/linux/CANopen/COPbrowser/trunc/main.cpp $
//
//	project   :  COPbrowser - CANopen Object Browser
//
//	purpose   :  CANopen Object Browser for Linux
//
//	copyright :  (C) 2009, UV Software, Friedrichshafen
//
//	compiler  :  GCC - GNU C++ Compiler (Linux Kernel 2.6)
//
//	syntax    :  COPbrowser [...]
//
//	libraries :  Qt3 libraries
//
//	includes  :  COPbrowser.h, MainFrame.h
//
//	author    :  Uwe Vogt, UV Software
//
//	e-mail    :  uwe.vogt@uv-software.de
//
//////////////////////////////////////////////////////////////////////////////
//	CANopen Object Browser for Linux

static const char _id[] = "$Id: main.cpp 51 2009-10-25 18:33:31Z saturn $";

//////////////////////////////////////////////////////////////////////////////
//	include files

#include <qapplication.h>
#include "COPbrowser.h"
#include "MainFrame.h"
#include <qstring.h>

//////////////////////////////////////////////////////////////////////////////
//	main program

int main( int argc, char ** argv )
{
	int rev; if(sscanf(REVISION_NUMBER_STRING, "\044Rev: %i \044", &rev) != 1) rev = 0;

	// instantiation of the QApplication object
	QApplication myApp( argc, argv );
	
	// create the main widget; here the main frame
	CMainFrame *mainFrame = new CMainFrame();
	myApp.setMainWidget( mainFrame );
	mainFrame->setCaption( QString( "%1 - Version %2 Build %3" )
			.arg( APPLICATION_STRING )
			.arg( VERSION_NUMBER_STRING )
			.arg( rev ) );
	mainFrame->show();
	
	mainFrame->initializeInterface();

	// exit the application when the user has closed the last top level window
	myApp.connect( &myApp, SIGNAL(lastWindowClosed()), &myApp, SLOT(quit()) );
	
	// run the application
	int res = myApp.exec();
	return res;
}

//////////////////////////////////////////////////////////////////////////////
//	Uwe Vogt,  UV Software,  Steinaecker 28,  88048 Friedrichshafen,  Germany
//	Fon: +49-7541-6041530, Fax. +49-1803-551809359, Cell fon: +49-170-3801903
//	E-Mail: uwe.vogt@uv-software.de, Internet URL: http://www.uv-software.de/
